com.versionone

## Enum Duration.Unit

- java.lang.Object
- - java.lang.Enum<Duration.Unit>
  - - com.versionone.Duration.Unit

- All Implemented Interfaces:
    Serializable, Comparable<Duration.Unit>
  Enclosing class:
    Duration

      public static enum Duration.Unit
      extends Enum<Duration.Unit>

  Valid units for Duration

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Days`
    `Months`
    `Weeks`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Duration.Unit` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Duration.Unit[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Days

          public static final Duration.Unit Days

    - #### Weeks

          public static final Duration.Unit Weeks

    - #### Months

          public static final Duration.Unit Months

  - ### Method Detail

    - #### values

          public static Duration.Unit[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Duration.Unit c : Duration.Unit.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Duration.Unit valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 VersionOne, Inc.. All rights reserved.